import sys

args = sys.argv[1:]

names = list(args)
while True:
    try:
        letter = names[0][-1]
    except IndexError:
        break
    if all(name.endswith(letter) for name in names):
        names = [name[:-1] for name in names]
    else:
        break

for ii, arg in enumerate(args):
    ls = '- -- : -.'.split()[ii]
    lists = None
    for line in open(arg):
        #print line.split()
        numbers = map(float, line.split())
        if lists is None:
            lists = [[] for _ in range(len(numbers))]
        for i, num in enumerate(numbers):
            lists[i].append(num)

    import pylab as pl
    import numpy as np
    colors = 'bgrcmyk'
    time = (np.array(lists[0][1:]) - lists[0][1]) / 1000.
    name = names[ii]
    for jj, l0 in enumerate(lists[1:]):
        pl.plot(time,
                np.array(l0[1:]) - l0[1],
                color=colors[jj], ls=ls, label='%s [%d]' % (name, jj))

pl.legend(loc='best')
pl.show()
